#ifndef DDSVIEWER_H
#define DDSVIEWER_H

#include "ddsfile.h"
#include <QWidget>

namespace Ui {
class DDSViewer;
}

class DDSViewer : public QWidget
{
    Q_OBJECT

public:
    explicit DDSViewer(QWidget *parent = nullptr);
    ~DDSViewer();

    void SetDDSFile(const DDSFile *aDDSFile);

private slots:
    void MipmapIndexChanged(int aMipmapIndex);

private:
    Ui::DDSViewer *ui;
    const DDSFile* mDDSFile;
};

#endif // DDSVIEWER_H
